import { OnInit, EventEmitter } from '@angular/core';
import { BarGroupedOptions } from '../../../utils/models/bar-grouped-options';
/**
 * Bar vertical grouped chart
 * @author Prasanth Venkatesan
 */
export declare class BarVerticalGroupedComponent implements OnInit {
    data: any;
    customOptions: BarGroupedOptions;
    onSelect: EventEmitter<any>;
    options: BarGroupedOptions;
    colorScheme: {
        name: string;
        domain: string[];
    };
    constructor();
    ngOnInit(): void;
    mSelectedEvent(event: any): void;
}
