import { OnInit, EventEmitter } from '@angular/core';
import { BarOptions } from '../../../utils/models/bar-options';
/**
 * Bar vertical normalized chart
 * @author Prasanth Venkatesan
 */
export declare class BarVerticalNormalizedComponent implements OnInit {
    data: any;
    customOptions: BarOptions;
    onSelect: EventEmitter<any>;
    options: BarOptions;
    colorScheme: {
        name: string;
        domain: string[];
    };
    constructor();
    ngOnInit(): void;
    mSelectedEvent(event: any): void;
}
