import { OnInit, EventEmitter } from '@angular/core';
import { PieOptions } from '../../../utils/models/pie-options';
/**
 * Pie chart component
 * @author Prasanth Venkatesan
 */
export declare class PieChartComponent implements OnInit {
    data: any[];
    customOptions: PieOptions;
    onSelect: EventEmitter<any>;
    options: PieOptions;
    colorScheme: {
        name: string;
        domain: string[];
    };
    constructor();
    ngOnInit(): void;
    mSelectedEvent(event: any): void;
}
