import { BarOptions } from "./bar-options";
/**
 * Line Options for charts
 * @author Prasanth Venkatesan
 */
export declare class LineOptions extends BarOptions {
    autoScale: boolean;
    roundDomains: boolean;
    timeline: boolean;
    isXAxisDate: boolean;
    showRefLines: boolean;
    referenceLines: any;
    constructor(showLegend?: boolean, showXAxis?: boolean, showYAxis?: boolean, showXAxisLabel?: boolean, showYAxisLabel?: boolean, xAxisLabel?: string, yAxisLabel?: string, timeline?: boolean, isXAxisDate?: boolean, referenceLines?: any[]);
}
