import { EventEmitter, OnInit } from "@angular/core";
import { BarLineComboOptions } from "../../../utils/models/bar-line-combo-options";
export declare class BarLineWrapperComponent implements OnInit {
    dataBar: any[];
    dataLine: any[];
    customOptions: BarLineComboOptions;
    onSelect: EventEmitter<any>;
    options: BarLineComboOptions;
    colorScheme: {
        name: string;
        domain: string[];
    };
    constructor();
    ngOnInit(): void;
    mSelectedEvent(event: any): void;
    yLeftAxisScale(min: any, max: any): {
        min: string;
        max: string;
    };
    yRightAxisScale(min: any, max: any): {
        min: string;
        max: string;
    };
    yLeftTickFormat(data: any): string;
    yRightTickFormat(data: any): string;
}
