import { OnInit, SimpleChanges, EventEmitter } from '@angular/core';
import { LineOptions } from '../../../utils/models/line-options';
export declare class LineComponent implements OnInit {
    data: any;
    customOptions: LineOptions;
    onSelect: EventEmitter<any>;
    options: LineOptions;
    colorScheme: {
        name: string;
        domain: string[];
    };
    constructor();
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    mSelectedEvent(event: any): void;
}
