import { OnInit, EventEmitter } from '@angular/core';
import { DonutOptions } from '../../../utils/models/donut-options';
/**
 * Donut chart component
 * @author Prasanth Venkatesan
 */
export declare class DonutChartComponent implements OnInit {
    data: any[];
    cutomOptions: DonutOptions;
    onSelect: EventEmitter<any>;
    options: DonutOptions;
    colorScheme: {
        name: string;
        domain: string[];
    };
    constructor();
    ngOnInit(): void;
    mSelectedEvent(event: any): void;
}
