import { Options } from "./options";
/**
 * Bar Options for charts
 * @author Prasanth Venkatesan
 */
export declare class BarOptions extends Options {
    showXAxis: boolean;
    showYAxis: boolean;
    showXAxisLabel: boolean;
    showYAxisLabel: boolean;
    xAxisLabel: string;
    yAxisLabel: string;
    barPadding: number;
    constructor(showLegend?: boolean, showXAxis?: boolean, showYAxis?: boolean, showXAxisLabel?: boolean, showYAxisLabel?: boolean, xAxisLabel?: string, yAxisLabel?: string);
}
